///////////////////////////////////////////////////////////////////
//Berechnung der Punkte in der Mandelbrot-Menge, für die es einen
//indifferenten Fixpunkt gibt. Die farbigen Punkte markieren die
//Stellen, an denen eine neue "Knospe" am Hauptkörper ansetzt.
//Der Orbit in diesen Knospen für auf einen Atteraktor der Periode k
///////////////////////////////////////////////////////////////////

float a;
float x,y;
float px,py;
float[] koordinaten;
int k;
/////////////////////////////////////////////////////////
void setup(){
  size(1000,1000);
  background(255);
  colorMode(HSB);
  a =0;
  koordinaten = new float[2];
  kontinuierlich();
  for(int l=2; l<12; l++){
    diskret(l,color((l-2)*30,255,255));
  }
 
}
/////////////////////////////////////////////////////////////
void kontinuierlich(){
  a=0;
  stroke(40,255,255);
  strokeWeight(2);
  while(a<=2*PI){
    berechneK(a);
    point(koordinaten[0],koordinaten[1]);
    a = a+0.0001;
    //println(a,koordinaten[0],koordinaten[1]);
  }
}
///////////////////////////////////////////////////////////////////
void diskret( int K, color f){
  k=K;
  float delta = 2*PI/k;
  a=delta;
  while(a<2*PI-0.00001){   //0.00001 wegen Rundungsfehlern
    berechneK(a);
    stroke(f);
    strokeWeight(20-k);
    point(koordinaten[0],koordinaten[1]);
    a = a+delta;
   }
}
////////////////////////////////////////////////////////////////
float[] berechneK(float alpha){
  a = alpha;
  x = cos(a)/2 - cos(2*a)/4;
  y = sin(a)/2 - sin(2*a)/4;
  koordinaten[0] =400 + 500*x;
  koordinaten[1] =400 - 500*y;
  
  return koordinaten;
}
